Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Analytic Workspace Java API Reference 10g Release 2 (10.2) B14351-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.AWXML
Class MeasureSourceExpression

    java.lang.Object
      |
      +--oracle.AWXML.BaseObject
            |
            +--oracle.AWXML.ExternalSourceExpression
                  |
                  +--oracle.AWXML.RestrictedSourceExpression
                        |
                        +--oracle.AWXML.MeasureSourceExpression

public class MeasureSourceExpression
extends RestrictedSourceExpression

A `RestrictedSourceExpression` that maps one or more relational columns to a `Measure`. You can limit the rows in the source columns by using the methods the `MeasureSourceExpression` class inherits from `RestrictedSourceExpression`.

A `MeasureSourceExpression` is owned by a `CubeMapGroup`. To create a `Measure`, use the `CreateAttributeMap` method of a `CubeMapGroup`.

See Also:
  `MappingGroup`

Fields inherited from class oracle.AWXML.BaseObject
`DATABASENULL`

Constructor Summary
`MeasureSourceExpression(BaseObject input)` Creates a `MeasureSourceExpression` for the specified `CubeMapGroup`.

Method Summary
`java.lang.String` | `Alter(AWConnection connection)` Changes the textual attributes of the `MeasureSourceExpression`, such as its short and long names, in the analytic workspace to those currently specified by the `MeasureSourceExpression`.
`java.lang.String` | `Create(AWConnection connection)` Creates the `MeasureSourceExpression` in the current analytic workspace of the specified database connection.
`java.lang.String` | `Delete(AWConnection connection)` Deletes the `MeasureSourceExpression` in the current analytic workspace of the specified database connection.
`java.lang.String` | `getRelationalOperator()` Gets the relational operator associated with the source column.
`void` | `setRelationalOperator(java.lang.String input)` Specifies the relational operator to associate with the `MeasureSourceExpression`.
`java.lang.String` | `WriteToXML()` Gets an XML representation of the `MeasureSourceExpression`.

Methods inherited from class oracle.AWXML.RestrictedSourceExpression
`createRestriction, getRestriction, getWhereClause, setRestriction, setWhereClause`

Methods inherited from class oracle.AWXML.ExternalSourceExpression
`addSourceColumn, CreateSourceColumn, getSourceColumns, getTargetObject, removeSourceColumn, setTargetObject`

Methods inherited from class oracle.AWXML.BaseObject
`CreateAfter, CreateBefore, CreateFirst, DataRead, getColumnName, getId, getLongName, getLongName, getName, getOwner, getPluralName, getPluralName, getSchema, getShortName, getShortName, setColumnName, setLongName, setLongName, setName, setPluralName, setPluralName, setSchema, setShortName, setShortName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MeasureSourceExpression

    public MeasureSourceExpression(BaseObject input)

  Creates a `MeasureSourceExpression` for the specified `CubeMapGroup`. To create a `MeasureSourceExpression`, an application should use the `CreateAttributeMap` method of a `CubeMapGroup`.
  Parameters:
    `input` - The `CubeMapGroup` that you want to own the `MeasureSourceExpression`.

Method Detail

### setRelationalOperator

    public void setRelationalOperator(java.lang.String input)

  Specifies the relational operator to associate with the `MeasureSourceExpression`.
  Parameters:
    `input` - The name of the relational operator for the `MeasureSourceExpression`.

### getRelationalOperator

    public java.lang.String getRelationalOperator()

  Gets the relational operator associated with the source column.
  Returns:
    A `String` that contains the name of the relational operator.

### WriteToXML

    public java.lang.String WriteToXML()

  Gets an XML representation of the `MeasureSourceExpression`.
  Overrides:
    WriteToXML in class RestrictedSourceExpression
  Returns:
    An XML `String` that represents the `MeasureSourceExpression`.

### Create

    public java.lang.String Create(AWConnection connection)

  Creates the `MeasureSourceExpression` in the current analytic workspace of the specified database connection. To create a `MeasureSourceExpression`, an application should use the `CreateAttributeMap` method of a `CubeMapGroup`.
  Overrides:
    Create in class BaseObject
  Parameters:
    `connection` - The `AWConnection` that represents the database connection.
  Returns:
    A `String` that contains `Success` if the method creates the `MeasureSourceExpression`.

### Alter

    public java.lang.String Alter(AWConnection connection)

  Changes the textual attributes of the `MeasureSourceExpression`, such as its short and long names, in the analytic workspace to those currently specified by the `MeasureSourceExpression`.
  Overrides:
    Alter in class BaseObject
  Parameters:
    `connection` - The `AWConnection` that represents the database connection.
  Returns:
    A `String` that contains `Success` if the method makes the changes.

### Delete

    public java.lang.String Delete(AWConnection connection)

  Deletes the `MeasureSourceExpression` in the current analytic workspace of the specified database connection.
  Overrides:
    Delete in class BaseObject
  Parameters:
    `connection` - The `AWConnection` that represents the database connection.
  Returns:
    A `String` that contains `Success` if the method deletes the `MeasureSourceExpression`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Analytic Workspace Java API Reference 10g Release 2 (10.2) B14351-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005 Oracle. All rights reserved.